## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory
          org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory

All Implemented Interfaces:
  JDBCRoutineLoader.IRoutineFactory

Enclosing class:
  SchemaASABaseLoader.ASABaseRoutineLoader

    public static class SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory

extends JDBCRoutineLoader.ProcedureFactory

Constructor Summary
`SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory()`

Method Summary
`void` `initialize(Routine routine, java.sql.ResultSet rs)` Initializes the new Routine object using the meta-data in the result set.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory
`createRoutine, getRoutineEClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory

    public SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory()

Method Detail

### initialize

    public void initialize(Routine routine,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Description copied from class: `JDBCRoutineLoader.ProcedureFactory`
  Initializes the new Routine object using the meta-data in the result set. This method initializes the name and description of the procedure.

  Specified by:
    `initialize` in interface `JDBCRoutineLoader.IRoutineFactory`
  Overrides:
    `initialize` in class `JDBCRoutineLoader.ProcedureFactory`
  Parameters:
    `routine` - a new Routine object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong